# Get shared documents Returns the documents included in the share associated with the authenticated share token. Request: (no parameters) - The share is identified from the caller's bearer token issued by ExchangeOtp. Response: documents - List of ShareDocument entries, each containing an id and optionally the full Document object. expiryTime - When the share expires. accessLevel - The caller's access level for this share (VIEW or VIEW_DOWNLOAD). Endpoint: POST /api/v1/share-retrieval/retrieve-shared-documents Version: 3.0 Security: bearerAuth ## Response 200 fields (application/json): - `documents` (array) - `documents.id` (string) Rule data fields - `documents.document` (object) - `documents.document.kind` (string) Rule data fields - `documents.document.doc` (any) - `documents.document.createdDt` (object) - `documents.document.createdDt.seconds` (integer) - `documents.document.createdDt.nanos` (integer) - `documents.document.updatedDt` (object) - `documents.document.deletedDt` (object) - `expiryTime` (object) - `accessLevel` (integer) Enum: 0, 1 ## Response 400 fields (application/json): - `message` (string) ## Response 401 fields (application/json): - `message` (string) ## Response 403 fields (application/json): - `message` (string) ## Response 404 fields (application/json): - `message` (string) ## Response 409 fields (application/json): - `message` (string) ## Response 429 fields (application/json): - `message` (string) ## Response 499 fields (application/json): - `message` (string) ## Response 500 fields (application/json): - `message` (string) ## Response 501 fields (application/json): - `message` (string) ## Response 503 fields (application/json): - `message` (string) ## Response 504 fields (application/json): - `message` (string)